
MessengerContactEditUIObj = function(objContainer)
{
	this.container = objContainer;
	this.container.id = "container";
	
	var contactNickname = System.Gadget.Settings.readString("contactNickname");
	var contactFriendlyName = System.Gadget.Settings.readString("contactFriendlyName");
	
	// Add Title Div
	var divTitle = document.createElement("div");
	divTitle.id = "title";
	divTitle.innerText = EditContactLocalizedConstants.LOC_EDIT_TITLE + contactFriendlyName;
	this.container.appendChild(divTitle);
	
	// Add Content Div
	var content = document.createElement("div");
	content.id = "content";
	this.container.appendChild(content);

	this.contactNickname = new TextBoxObj(new OptionObj(EditContactLocalizedConstants.LOC_EDIT_NICKNAME));
	
	if (contactNickname != null)
	{
		this.contactNickname.setCurrentValue(contactNickname);
	}

	content.appendChild(this.contactNickname.getDiv());
	
	var hr = document.createElement("hr");
	this.container.appendChild(hr);
	
	var divButton = document.createElement("div");
	divButton.id = "divButton";
	this.container.appendChild(divButton);
	
	var self = this;
	
	var buttonOK = document.createElement("button");
	buttonOK.innerHTML = EditContactLocalizedConstants.LOC_OK;
	buttonOK.onclick = function() {self.onClickOK()};
	divButton.appendChild(buttonOK);
	
	var buttonCancel = document.createElement("button");
	buttonCancel.innerHTML = EditContactLocalizedConstants.LOC_CANCEL;
	buttonCancel.onclick = function() {self.onClickCancel()};
	divButton.appendChild(buttonCancel);
	
	this.gadgetSettings = new MessengerGadgetSettingsObj();
	this.gadgetSettings.loadUpdateSettings();
}

MessengerContactEditUIObj.prototype =
{
	onClickOK:function()
	{
		System.Gadget.Settings.writeString("newNickname", this.contactNickname.getValue());
	    System.Gadget.Settings.writeString("refreshNickname", "true");
	    System.Gadget.Flyout.show = false;
	},

	onClickCancel:function()
	{
		debug("Click Cancel");
		debug(System.Gadget.Flyout.show);
		System.Gadget.Settings.writeString("refreshNickname", "false");
		System.Gadget.Flyout.show = false;
	}
}
